Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## djbuch.kapitel_05
Class ConnectionPool

    java.lang.Object
      |
      +--djbuch.kapitel_05.ConnectionPool

public class ConnectionPool
extends java.lang.Object

Domino DIIOP Connection POOL
Um die Synchronisation nur noch auf den Pool, nicht mehr auf
die gesamte Servlet Klasse (die den Pool benutzt) beziehen zu müssen,
wurde der Pool in diese Klasse ausgelagert.
Der Pool wird als statisches Objekt im Servlet angelegt
Der ORB selbst ist jedoch nicht statisch, sondern Instanzvariable
in der Klasse ConnectionPool

Author:
  Thomas Ekert

Method Summary
`int` | `getConcurrentCount()` Anzahl der über diesen ORB gehandelten Sessions.
`static ConnectionPool` | `getConnectionPool()`
`int` | `getCount()` Anzahl der bereits über diesen Pool jemals geöffneten Connections.
`Session` | `getSession()`
`static void` | `recycleSession(Session s)` Wurde aus Bequemlichkeit als statische Utility in die Klasse ConnectionPool verschoben
`java.lang.String` | `showToken()` Zeigt den aktuellen LtpaToken, ohne ihn neu zu beziehen.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getConnectionPool

    public static ConnectionPool getConnectionPool()

### getSession

    public Session getSession()
                       throws NotesException

  Returns:
    - Liefert eine Notes Session. Führt einen Retry durch, falls
    beim ersten Versuch eine NotesException auftritt.
  Throws:
    `NotesException`

### showToken

    public java.lang.String showToken()

  Zeigt den aktuellen LtpaToken, ohne ihn neu zu beziehen.

  Returns:

### getCount

    public int getCount()

  Anzahl der bereits über diesen Pool jemals geöffneten Connections. Beachte: Wird nicht zurückgesetzt, wenn ein neuer ORB erzeugt wird.

  Returns:

### getConcurrentCount

    public int getConcurrentCount()

  Anzahl der über diesen ORB gehandelten Sessions.

  Returns:

### recycleSession

    public static void recycleSession(Session s)

  Wurde aus Bequemlichkeit als statische Utility in die
  Klasse ConnectionPool verschoben

  Parameters:
    `s` - - Notes Session, die recycled werden soll.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD